package domain

type AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult struct {
	/*
	   错误信息     */
	Message *string `json:"message,omitempty" `

	/*
	   错误码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   删除活动是否成功     */
	Data *bool `json:"data,omitempty" `

	/*
	   删除活动是否成功     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult) SetMessage(v string) *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult) SetData(v bool) *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult {
	s.Data = &v
	return s
}
func (s *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingItembuygiftDeleteactivityMarketResult {
	s.Success = &v
	return s
}
